apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: argocd-oidc-secrets-external
  namespace: argocd
  labels:
    app.kubernetes.io/part-of: argocd
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: gitlab-secret-store
  target:
    name: argocd-oidc-secrets
    creationPolicy: Owner
  data:
    - secretKey: clientKey
      remoteRef:
        key: ARGO_OIDC_CLIENT_KEY
    - secretKey: clientSecret
      remoteRef:
        key: ARGO_OIDC_CLIENT_SECRET
